'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = HelloWorld;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./hello-world.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Says hello to who
 * By default who is World
 * @param {Object} props React props
 * @returns {JSX} template
 */
function HelloWorld(props) {
  return _react2.default.createElement(
    'div',
    { className: 'hello-world' },
    'Hello ',
    props.who
  );
}

HelloWorld.propTypes = { who: _propTypes2.default.string };

HelloWorld.defaultProps = { who: 'World' };